com.genesyslab.wfm8.API.service.forecast800

## Class FrcActivityHistoricalInformationIndicators

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast800.FrcActivityHistoricalInformationIndicators

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcActivityHistoricalInformationIndicators
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `activityId` Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0
    `protected double` | `ahtEnd` Existing Average Handle Time data start date
    `protected int` | `ahtPeriodArraySize` AHT period array size
    `protected java.util.List<FrcInformationPeriod>` | `ahtPeriods` Existing AHT data periods
    `protected double` | `ahtStart` Existing Average Handle Time data start date
    `protected int` | `buId` Business Unit ID
    `protected double` | `ivEnd` Existing Interaction Volume data end date
    `protected int` | `ivPeriodArraySize` IV period array size
    `protected java.util.List<FrcInformationPeriod>` | `ivPeriods` Existing IV data periods
    `protected double` | `ivStart` Existing Interaction Volume data start date
    `private static long` | `serialVersionUID`
    `protected int` | `siteId` Site ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcActivityHistoricalInformationIndicators()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getActivityId()` Gets the activityId value for this FrcActivityHistoricalInformationIndicators.
    `double` | `getAHTEnd()` Gets the ahtEnd value for this FrcActivityHistoricalInformationIndicators.
    `int` | `getAHTPeriodArraySize()` Gets the ahtPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
    `java.util.List<FrcInformationPeriod>` | `getAHTPeriods()` Gets the ahtPeriods value for this FrcActivityHistoricalInformationIndicators.
    `double` | `getAHTStart()` Gets the ahtStart value for this FrcActivityHistoricalInformationIndicators.
    `int` | `getBuId()` Gets the buId value for this FrcActivityHistoricalInformationIndicators.
    `double` | `getIVEnd()` Gets the ivEnd value for this FrcActivityHistoricalInformationIndicators.
    `int` | `getIVPeriodArraySize()` Gets the ivPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
    `java.util.List<FrcInformationPeriod>` | `getIVPeriods()` Gets the ivPeriods value for this FrcActivityHistoricalInformationIndicators.
    `double` | `getIVStart()` Gets the ivStart value for this FrcActivityHistoricalInformationIndicators.
    `int` | `getSiteId()` Gets the siteId value for this FrcActivityHistoricalInformationIndicators.
    `int` | `hashCode()`
    `void` | `setActivityId(int activityId)` Sets the activityId value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setAHTEnd(double ahtEnd)` Sets the ahtEnd value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setAHTPeriodArraySize(int ahtPeriodArraySize)` Sets the ahtPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setAHTPeriods(java.util.List<FrcInformationPeriod> ahtPeriods)` Sets the ahtPeriods value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setAHTStart(double ahtStart)` Sets the ahtStart value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setBuId(int buId)` Sets the buId value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setIVEnd(double ivEnd)` Sets the ivEnd value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setIVPeriodArraySize(int ivPeriodArraySize)` Sets the ivPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setIVPeriods(java.util.List<FrcInformationPeriod> ivPeriods)` Sets the ivPeriods value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setIVStart(double ivStart)` Sets the ivStart value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this FrcActivityHistoricalInformationIndicators.
    `java.lang.String` | `toString()`
    `FrcActivityHistoricalInformationIndicators` | `withActivityId(int value)`
    `FrcActivityHistoricalInformationIndicators` | `withAHTEnd(double value)`
    `FrcActivityHistoricalInformationIndicators` | `withAHTPeriodArraySize(int value)`
    `FrcActivityHistoricalInformationIndicators` | `withAHTPeriods(java.util.Collection<FrcInformationPeriod> values)`
    `FrcActivityHistoricalInformationIndicators` | `withAHTPeriods(FrcInformationPeriod... values)`
    `FrcActivityHistoricalInformationIndicators` | `withAHTStart(double value)`
    `FrcActivityHistoricalInformationIndicators` | `withBuId(int value)`
    `FrcActivityHistoricalInformationIndicators` | `withIVEnd(double value)`
    `FrcActivityHistoricalInformationIndicators` | `withIVPeriodArraySize(int value)`
    `FrcActivityHistoricalInformationIndicators` | `withIVPeriods(java.util.Collection<FrcInformationPeriod> values)`
    `FrcActivityHistoricalInformationIndicators` | `withIVPeriods(FrcInformationPeriod... values)`
    `FrcActivityHistoricalInformationIndicators` | `withIVStart(double value)`
    `FrcActivityHistoricalInformationIndicators` | `withSiteId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteId

          protected int siteId

      Site ID

    - #### activityId

          protected int activityId

      Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0

    - #### buId

          protected int buId

      Business Unit ID

    - #### ivStart

          protected double ivStart

      Existing Interaction Volume data start date

    - #### ivEnd

          protected double ivEnd

      Existing Interaction Volume data end date

    - #### ahtStart

          protected double ahtStart

      Existing Average Handle Time data start date

    - #### ahtEnd

          protected double ahtEnd

      Existing Average Handle Time data start date

    - #### ivPeriodArraySize

          protected int ivPeriodArraySize

      IV period array size

    - #### ivPeriods

          protected java.util.List<FrcInformationPeriod> ivPeriods

      Existing IV data periods

    - #### ahtPeriodArraySize

          protected int ahtPeriodArraySize

      AHT period array size

    - #### ahtPeriods

          protected java.util.List<FrcInformationPeriod> ahtPeriods

      Existing AHT data periods

  - ### Constructor Detail

    - #### FrcActivityHistoricalInformationIndicators

          public FrcActivityHistoricalInformationIndicators()

  - ### Method Detail

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        siteId

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `siteId` -

    - #### getActivityId

          public int getActivityId()

      Gets the activityId value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        activityId

    - #### setActivityId

          public void setActivityId(int activityId)

      Sets the activityId value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `activityId` -

    - #### getBuId

          public int getBuId()

      Gets the buId value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        buId

    - #### setBuId

          public void setBuId(int buId)

      Sets the buId value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `buId` -

    - #### getIVStart

          public double getIVStart()

      Gets the ivStart value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        ivStart

    - #### setIVStart

          public void setIVStart(double ivStart)

      Sets the ivStart value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `ivStart` -

    - #### getIVEnd

          public double getIVEnd()

      Gets the ivEnd value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        ivEnd

    - #### setIVEnd

          public void setIVEnd(double ivEnd)

      Sets the ivEnd value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `ivEnd` -

    - #### getAHTStart

          public double getAHTStart()

      Gets the ahtStart value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        ahtStart

    - #### setAHTStart

          public void setAHTStart(double ahtStart)

      Sets the ahtStart value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `ahtStart` -

    - #### getAHTEnd

          public double getAHTEnd()

      Gets the ahtEnd value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        ahtEnd

    - #### setAHTEnd

          public void setAHTEnd(double ahtEnd)

      Sets the ahtEnd value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `ahtEnd` -

    - #### getIVPeriodArraySize

          public int getIVPeriodArraySize()

      Gets the ivPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        ivPeriodArraySize

    - #### setIVPeriodArraySize

          public void setIVPeriodArraySize(int ivPeriodArraySize)

      Sets the ivPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `ivPeriodArraySize` -

    - #### getIVPeriods

          public java.util.List<FrcInformationPeriod> getIVPeriods()

      Gets the ivPeriods value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        ivPeriods

    - #### setIVPeriods

          public void setIVPeriods(java.util.List<FrcInformationPeriod> ivPeriods)

      Sets the ivPeriods value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `ivPeriods` -

    - #### getAHTPeriodArraySize

          public int getAHTPeriodArraySize()

      Gets the ahtPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        ahtPeriodArraySize

    - #### setAHTPeriodArraySize

          public void setAHTPeriodArraySize(int ahtPeriodArraySize)

      Sets the ahtPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `ahtPeriodArraySize` -

    - #### getAHTPeriods

          public java.util.List<FrcInformationPeriod> getAHTPeriods()

      Gets the ahtPeriods value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        ahtPeriods

    - #### setAHTPeriods

          public void setAHTPeriods(java.util.List<FrcInformationPeriod> ahtPeriods)

      Sets the ahtPeriods value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `ahtPeriods` -

    - #### withActivityId

          public FrcActivityHistoricalInformationIndicators withActivityId(int value)

    - #### withSiteId

          public FrcActivityHistoricalInformationIndicators withSiteId(int value)

    - #### withBuId

          public FrcActivityHistoricalInformationIndicators withBuId(int value)

    - #### withAHTPeriods

          public FrcActivityHistoricalInformationIndicators withAHTPeriods(java.util.Collection<FrcInformationPeriod> values)

    - #### withAHTPeriods

          public FrcActivityHistoricalInformationIndicators withAHTPeriods(FrcInformationPeriod... values)

    - #### withAHTPeriodArraySize

          public FrcActivityHistoricalInformationIndicators withAHTPeriodArraySize(int value)

    - #### withIVPeriods

          public FrcActivityHistoricalInformationIndicators withIVPeriods(java.util.Collection<FrcInformationPeriod> values)

    - #### withIVPeriods

          public FrcActivityHistoricalInformationIndicators withIVPeriods(FrcInformationPeriod... values)

    - #### withIVPeriodArraySize

          public FrcActivityHistoricalInformationIndicators withIVPeriodArraySize(int value)

    - #### withIVStart

          public FrcActivityHistoricalInformationIndicators withIVStart(double value)

    - #### withIVEnd

          public FrcActivityHistoricalInformationIndicators withIVEnd(double value)

    - #### withAHTStart

          public FrcActivityHistoricalInformationIndicators withAHTStart(double value)

    - #### withAHTEnd

          public FrcActivityHistoricalInformationIndicators withAHTEnd(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.